[SOLVED] apt repositories incomplete

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help

[SOLVED] apt repositories incomplete

Postby jvd on Sat Feb 05, 2011 6:14 pm

Hey there. I am new here. I am setting up a debian Mint machine for a friend. I am using debian w/o Mint on my own machines (#!, for the curious). A lot of enjoyable goodies of-the-shelf: Congrats!

I cannot update the installed software, and also the Debian repositories are not available:

Code: Select all
$ sudo apt-get install ssh
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package ssh is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  openssh-client

E: Package 'ssh' has no installation candidate


and:
Code: Select all
Release file expired, ignoring http://security.debian.org/dists/squeeze/updates/Release (invalid since 7d 2h 26min 8s)


I did change /etc/apt/sources.list, since I'd prefer to stick to squeeze rather than unstable. Rather a difference starting this weekend :)

Here sources.list:
Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.de.debian.org/debian/ squeeze main contrib non-free
deb http://security.debian.org/ squeeze/updates main contrib non-free
deb http://www.debian-multimedia.org/ squeeze main non-free


Can anyone point me to how to get access to the debian squeeze repository, and to the security updates?

Thanks a bunch.
Last edited by jvd on Sun Feb 06, 2011 7:06 pm, edited 2 times in total.
jvd
Level 1
Level 1
 
Posts: 6
Joined: Sat Feb 05, 2011 5:53 pm

Linux Mint is funded by ads and donations.
 

Re: apt repositories incomplete

Postby jvd on Sat Feb 05, 2011 7:44 pm

Sorry, mods. could you please move this topic to LMDE (Linux Mint Debian)?

Thanks.
jvd
Level 1
Level 1
 
Posts: 6
Joined: Sat Feb 05, 2011 5:53 pm

Re: apt repositories incomplete

Postby dawgdoc on Sat Feb 05, 2011 11:50 pm

Looking at the time on your post, I would guess that the repositories have reset by now. If not then they probably will have in a few more hours.
Image

SYSTEM: Compaq Presario CQ62 Dual-Boot: Mint 17 Cinnamon, LMDE
READING: Smoke Screen by Dick Francis
User avatar
dawgdoc
Level 9
Level 9
 
Posts: 2720
Joined: Mon Oct 05, 2009 12:53 am
Location: Kentucky, USA the land of Mint Juleps

Re: apt repositories incomplete

Postby vrkalak on Sun Feb 06, 2011 12:46 am

Since, the new 'stable' Release of Debian 6.0 Squeeze (was just a few hours ago) .. the Testing repros are being 'reset' by the Debian Devs/Maintainers.

Should be up and running soon.
Image
:: LinuxMint-Debian-Edition (Fluxbox) :: Manjaro/Arch (Xfce) ::
Registered Linux User: #497031 :: DeviantART Page
User avatar
vrkalak
Level 10
Level 10
 
Posts: 3426
Joined: Mon Jul 20, 2009 5:53 pm
Location: Santa Fe, NM, USA

Re: apt repositories incomplete

Postby cpatrick08 on Sun Feb 06, 2011 12:58 am

jvd wrote:Hey there. I am new here. I am setting up a debian Mint machine for a friend. I am using debian w/o Mint on my own machines (#!, for the curious). A lot of enjoyable goodies of-the-shelf: Congrats!

I cannot update the installed software, and also the Debian repositories are not available:

Code: Select all
$ sudo apt-get install ssh
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package ssh is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  openssh-client

E: Package 'ssh' has no installation candidate


and:
Code: Select all
Release file expired, ignoring http://security.debian.org/dists/squeeze/updates/Release (invalid since 7d 2h 26min 8s)


I did change /etc/apt/sources.list, since I'd prefer to stick to squeeze rather than unstable. Rather a difference starting this weekend :)

Here sources.list:
Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.de.debian.org/debian/ squeeze main contrib non-free
deb http://security.debian.org/ squeeze/updates main contrib non-free
deb http://www.debian-multimedia.org/ squeeze main non-free


Can anyone point me to how to get access to the debian squeeze repository, and to the security updates?

Thanks a bunch.

keep the linux mint one as is the change the debian ones with the following ones:
deb http://ftp.gtlib.gatech.edu/debian/ squeeze main non-free contrib
deb-src http://ftp.gtlib.gatech.edu/debian/ squeeze main non-free contrib
deb http://security.debian.org/ squeeze/updates main non-free contrib
deb http://ftp.gtlib.gatech.edu/debian/ squeeze-proposed-updates non-free contrib main
deb-src http://ftp.gtlib.gatech.edu/debian/ squeeze-proposed-updates non-free contrib main
deb-src http://security.debian.org/ squeeze/updates main non-free contrib
cpatrick08
Level 3
Level 3
 
Posts: 161
Joined: Sat May 22, 2010 2:17 pm
Location: Huntsville, AL

Re: apt repositories incomplete

Postby jvd on Sun Feb 06, 2011 12:37 pm

Hrrmm thanks for your replies!

Still did not receive updates. Not with the sources.list posted above, and not with the alternative suggested by cpatrick08. Of course, after apt-get update. Not sure what is going on here. My fully patched other machine pulled in an update from the same sources?

Appreciate your ideas.
jvd
Level 1
Level 1
 
Posts: 6
Joined: Sat Feb 05, 2011 5:53 pm

Re: apt repositories incomplete

Postby jvd on Sun Feb 06, 2011 5:30 pm

Managed to trick apt into updating by issuing:

Code: Select all
sudo aptitude -o 'Acquire::Check-Valid-Until=false' update


Updates are running now :D
jvd
Level 1
Level 1
 
Posts: 6
Joined: Sat Feb 05, 2011 5:53 pm

Re: apt repositories incomplete

Postby vrkalak on Sun Feb 06, 2011 5:36 pm

If you are using the Squeeze repositories/sources.list . . . you should not be getting any updates.
As Debian 6.0 Squeeze was released as the new 'stable' less than 24 hours ago -- Squeeze is currently the most 'stable' and up-to-date OS out.

All the updates should be coming into the 'testing' repros'

Today there have been 220 some odd updates thus far.

When Lenny became stable and the new testing (squeeze) was released (2 years ago) ... there were around 900 updates in the first week. :cry:
None of which broke my system.
Image
:: LinuxMint-Debian-Edition (Fluxbox) :: Manjaro/Arch (Xfce) ::
Registered Linux User: #497031 :: DeviantART Page
User avatar
vrkalak
Level 10
Level 10
 
Posts: 3426
Joined: Mon Jul 20, 2009 5:53 pm
Location: Santa Fe, NM, USA

Re: [workaround] apt repositories incomplete

Postby jvd on Sun Feb 06, 2011 6:03 pm

There have been quite some patches between the day the image i downloaded and now. Also, packages for squeeze will remain to be updated, for bugs. Only no new versions will be implemented. So it is important to keep updates running, also when sticking to the now-stable squeeze.

I expect still some non-critical bugs to be fixed the coming week. And the coming two years, for that matter :)
jvd
Level 1
Level 1
 
Posts: 6
Joined: Sat Feb 05, 2011 5:53 pm

Re: [workaround] apt repositories incomplete

Postby jvd on Sun Feb 06, 2011 7:05 pm

I knew I was an idiot! :oops:

Found the reason why updates would not run. I did not care to correct local time. No wonder there was some confusion along the way :roll:

Is there a reason BTW that NTP is not installed and used by default?
jvd
Level 1
Level 1
 
Posts: 6
Joined: Sat Feb 05, 2011 5:53 pm

Linux Mint is funded by ads and donations.
 

Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 1 guest